curl --request POST \
--url https://whatsapp.api.conversoempire.world/message/sendMedia/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"number": "<string>",
"mediatype": "<string>",
"mimetype": "<string>",
"caption": "<string>",
"media": "<string>",
"fileName": "<string>",
"delay": 123,
"linkPreview": true,
"mentionsEveryOne": true,
"mentioned": [
"{{remoteJID}}"
],
"quoted": {
"key": {
"id": "<string>"
},
"message": {
"conversation": "<string>"
}
}
}
'import requests
url = "https://whatsapp.api.conversoempire.world/message/sendMedia/{instance}"
payload = {
"number": "<string>",
"mediatype": "<string>",
"mimetype": "<string>",
"caption": "<string>",
"media": "<string>",
"fileName": "<string>",
"delay": 123,
"linkPreview": True,
"mentionsEveryOne": True,
"mentioned": ["{{remoteJID}}"],
"quoted": {
"key": { "id": "<string>" },
"message": { "conversation": "<string>" }
}
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: '<string>',
mediatype: '<string>',
mimetype: '<string>',
caption: '<string>',
media: '<string>',
fileName: '<string>',
delay: 123,
linkPreview: true,
mentionsEveryOne: true,
mentioned: ['{{remoteJID}}'],
quoted: {key: {id: '<string>'}, message: {conversation: '<string>'}}
})
};
fetch('https://whatsapp.api.conversoempire.world/message/sendMedia/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "cuid_abc123xyz",
"status": "queued",
"createdAt": "2024-06-07T12:34:56.789Z"
}{
"status": 400,
"error": "Bad Request",
"message": "Media file size exceeds the maximum allowed limit of 100MB",
"details": {
"mediaType": "image",
"fileSize": "150MB",
"maxAllowedSize": "100MB"
}
}Send Media
Submit media message for delivery with immediate response. Media processing and delivery occurs in the background with real-time status tracking via the status endpoint.
Authorizations
Your authorization key header
Path Parameters
Name instance
Body
Number to receive the message (with country code)
Image, video or document
image/png
Teste de caption
Url or base64
Image.png
Presence time in milliseconds before sending message
Shows a preview of the target website if there's a link within the message
Mentioned everyone when the message send
Numbers to mention
{{remoteJID}} Show child attributes
Show child attributes
Response
Accepted - Media delivery job queued for background processing
Response for media job submission with real-time tracking capability
Unique identifier for the media delivery job. Use this to retrieve real-time status and progress tracking.
"cuid_abc123xyz"
Initial job status. Transitions through processing stages: queued → validating → processing → sending → completed or failed.
queued "queued"
ISO 8601 timestamp when the job was created
"2024-06-07T12:34:56.789Z"
